Subject: [nvo3] BIER OAM (was: IETF101 NVO3 draft minutes posted)

From: [email-masked] (Dale R. Worley)
Date: Fri, 06 Apr 2018 22:52:22 -0400

Greg Mirsky <[email-masked]> writes:
> you may be surprised to check BIER OAM, section 3.1 of draft-ietf-bier-ping
> <https://tools.ietf.org/html/draft-ietf-bier-ping-03> to be precise, as it
> defines the header for active BIER OAM.

Interesting.  But I note that in RFC 8296, the next protocol field
("Proto") is 6 bits, and the "BIER Next Protocol Identifiers" is defined
to match.  But in draft-ietf-bier-ping-03, the "Proto" field is only 4
bits, although it seems to intend that the values be taken fromn "BIER
Next Protocol Identifiers".

Dale

---

From: Greg Mirsky <[email-masked]>
Date: Sun, 8 Apr 2018 14:53:24 -0700

Hi Dale,
great catch, thank you. Will correct to match the size of the Proto field,
6 bits-long, as defined in RFC 8296 in the next update of our draft.

Regards,
Greg

On Fri, Apr 6, 2018 at 7:52 PM, Dale R. Worley <[email-masked]> wrote:

> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3
>

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Sun, 8 Apr 2018 22:10:50 +0000

Hi Dale,

Thanks for the catch. I just started working on updating the draft. I will include it in the next version.

Regards,
Nagendra

From: Greg Mirsky <[email-masked]>
Date: Sunday, April 8, 2018 at 5:53 PM
To: "Dale R. Worley" <[email-masked]>
Cc: NVO3 <[email-masked]>, "[email-masked]" <[email-masked]>, BIER WG <[email-masked]>
Subject: Re: [nvo3] BIER OAM (was: IETF101 NVO3 draft minutes posted)
Resent-From: <[email-masked]>
Resent-To: Nagendra Kumar Nainar <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Sunday, April 8, 2018 at 5:53 PM

Hi Dale,
great catch, thank you. Will correct to match the size of the Proto field, 6 bits-long, as defined in RFC 8296 in the next update of our draft.

Regards,
Greg

On Fri, Apr 6, 2018 at 7:52 PM, Dale R. Worley <[email-masked]<mailto:[email-masked]>> wrote:

Dale

_______________________________________________
nvo3 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/nvo3